Bug 1469237 - Control Plane upgrade performs unnecessary checks on nodes
Control Plane upgrade performs unnecessary checks on nodes
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
Unspecified Unspecified
low Severity medium
: ---
: 3.9.0
Assigned To: Michael Gugino
Weihua Meng
Depends On:
  Show dependency treegraph
Reported: 2017-07-10 13:07 EDT by Justin Pierce
Modified: 2018-01-26 22:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Pierce 2017-07-10 13:07:49 EDT
Description of problem:

Version-Release number of the following components:
v3.6.140 & current master. 

How reproducible:

Steps to Reproduce:
1. Run control plane only upgrade playbook on a cluster with a sizable number of nodes.

Actual results:
The control plane upgrade requires an excessive period of initialization while it checks nodes. Since only the control plane is involved, these checks are extremely time consuming and unnecessary (>1 hour on 150 node cluster).

Expected results:
Only checks required for a control plane upgrade should be performed. 

Additional info:
Comment 3 Scott Dodson 2018-01-25 10:10:58 EST
This should be fixed in 3.9 refactors that Mike did.
Comment 4 Weihua Meng 2018-01-26 22:14:18 EST
I was just assigned to this bug.
The link is not accessible for now.

Now, the dedicated nodes are not involved in control plane upgrade.

Fixed in openshift-ansible-3.9.0-0.24.0.git.0.735690f.el7.noarch

Note You need to log in before you can comment on or make changes to this bug.